Subject: Re: bug#34138: 27.0.50; Delayed display of PDF file images

From: Eli Zaretskii <[email-masked]>
Date: Wed, 23 Jan 2019 18:26:22 +0200

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],  [email-masked]
> Date: Wed, 23 Jan 2019 15:31:54 +0100
> 
> I found that the following patch to pdf-view-goto-page eliminates the
> display of raw PDF and the delay of the image display:
> 
> *** /home/steve/.emacs.d/elpa/pdf-tools-20181221.1913/pdf-view.el.orig	2019-01-21 15:56:08.033335212 +0100
> --- /home/steve/.emacs.d/elpa/pdf-tools-20181221.1913/pdf-view.el	2019-01-23 14:54:52.381373638 +0100
> ***************
> *** 624,629 ****
> --- 624,630 ----
>           (pdf-view-deactivate-region)
>           (force-mode-line-update)
>           (run-hooks 'pdf-view-after-change-page-hook))))
> +   (switch-to-buffer (current-buffer))
>     nil)
>   
>   (defun pdf-view-next-page (&optional n)
> 
> I assume this is only a workaround.

It's a workaround, yes.  I believe it works because switching a buffer
causes a more thorough redisplay of the window showing that buffer,
and so the fact that overlay changes in it are not noticed no longer
gets in our way.